module Main where

import qualified Codec.Compression.GZip as GZip
import           Data.Attoparsec.Lazy
import qualified Data.ByteString.Lazy as B
import           Subversion.Dump
import           System.Exit

main :: IO ()
main = do
  file <- B.readFile "data/cunit.dump.gz"
  case readSvnDumpRaw (GZip.decompress file) of
    Fail _ _ _ -> exitFailure
    Done _ xs  -> do
      let len = length xs
      putStrLn $ show len ++ " raw entries found, expecting 1950"
      if len == 1950
        then exitSuccess
        else exitFailure

-- test-raw.hs ends here
